<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateAbExportModuleTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('ab_export_module', function(Blueprint $table)
		{
			$table->bigInteger('id')->default(0);
			$table->integer('site_id')->default(0);
			$table->bigInteger('export_id')->default(0);
			$table->integer('module_id')->default(0);
			$table->binary('display', 65535)->nullable();
			$table->primary(['id','site_id','export_id','module_id']);
			$table->index(['export_id','site_id']);
			$table->index(['module_id','site_id']);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('ab_export_module');
	}

}
